Creates a [folder](https://docs.cloud.google.com/storage/docs/folders-overview.md.txt) within a bucket with hierarchical namespace enabled.

## Required permissions

The authenticated user must have the `storage.folders.create`
IAM permission to use this method.

## Request

### HTTP request

```
POST https://storage.googleapis.com/storage/v1/b/bucket/folders
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | The parent bucket of the folder. |
| **Optional query parameters** |||
| `recursive` | `boolean` | If set to true, the method creates all the non-existing parent folders. If not set or set to false, the request fails if any parent folder doesn't exist. |

### Request body

In the request body, supply a [folder
resource](https://docs.cloud.google.com/storage/docs/json_api/v1/folders#resource) with the following properties:

| Property name | Value | Description |
|---|---|---|---|
| **Required Properties** ||||
| `name` | `string` | The name of the folder. |

## Response

If successful, this method returns a
[Folder resource](https://docs.cloud.google.com/storage/docs/json_api/v1/folders.md.txt#resource) in the response body.

For information about status and error codes returned by this API, see the
[reference page](https://docs.cloud.google.com/storage/docs/json_api/v1/status-codes.md.txt).

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.